%define build_vcd 1
%{?_with_vcd: %{expand: %%global build_vcd 1}}
%{?_without_vcd: %{expand: %%global build_vcd 0}}

%define major 16
%define libname %mklibname cdio %{major}
%define libnamedev %mklibname -d cdio
%define libnamestaticdev %mklibname -d -s cdio
%define isomajor 10
%define isolibname %mklibname iso9660_ %{isomajor}
%define cdioppmajor 0
%define cdiopplibname %mklibname cdio++ %{cdioppmajor}
%define udfmajor 0
%define udflibname %mklibname udf %{udfmajor}

Name: libcdio
Version: 0.94
Release: %mkrel 1
License: GPLv3+
Group: System/Libraries
URL: http://www.gnu.org/software/libcdio/
Source: ftp://ftp.gnu.org/pub/gnu/libcdio/%{name}-%{version}.tar.gz
Summary: CD-ROM reading library
BuildRequires: libcddb-devel
BuildRequires: popt-devel
BuildRequires: libncurses-devel
#gw only if we change the man pages
#BuildRequires: help2man
%if %{build_vcd}
BuildRequires: libvcd-devel > 0.7.19
%endif

%description 
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.


%package apps
Summary: Example tool from %{name}
Group: Sound/Utilities
Provides: libcdio0-apps
Obsoletes: libcdio0-apps
 
%description apps
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

This contains the program cd-info as an example application of %{name}.

%package -n %{libname}
Summary: Libraries from %{name}
Group: System/Libraries
Provides: libcdio = %{version}-%{release}

%description -n %{libname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{libnamedev}
Summary: Devel files from %{name}
Group: Development/C
Requires: %{libname} = %{version}
Requires: %{isolibname} = %{version}
Requires: %{cdiopplibname} = %{version}
Requires: %{udflibname} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d cdio 7

%description -n %{libnamedev}
This is the libraries, include files and other resources you can use
to incorporate %{name} into applications.

%package -n %{libnamestaticdev}
Summary: Static Library for developing applications with %{name}
Group: Development/C
Requires: %{libnamedev} = %{version}
Obsoletes: %mklibname -d -s cdio 7

%description -n %{libnamestaticdev}
This contains the static library of %{name} needed for building apps that
link statically to %{name}.

%package -n %{isolibname}
Summary: Libraries from %{name}
Group: System/Libraries

%description -n %{isolibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{cdiopplibname}
Summary: C++ library from %{name}
Group: System/Libraries

%description -n %{cdiopplibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%package -n %{udflibname}
Summary: Libraries from %{name}
Group: System/Libraries
Conflicts: %{mklibname cdio_cdda 0}

%description -n %{udflibname}
This library is to encapsulate CD-ROM reading and
control. Applications wishing to be oblivious of the OS- and
device-dependent properties of a CD-ROM can use this library.

Some support for disk image types like BIN/CUE and NRG is available,
so applications that use this library also have the ability to read
disc images as though they were CD's.

%prep
%setup -q

%build
%configure2_5x \
--without-versioned-libs \
%if ! %{build_vcd}
--disable-vcd-info
%endif

make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

%post -n %{libnamedev}
%_install_info libcdio.info

%preun -n %{libnamedev}
%_remove_install_info libcdio.info

%files apps
%doc README AUTHORS NEWS INSTALL TODO
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libcdio.so.%{major}{,.*}

%files -n %{isolibname}
%{_libdir}/libiso9660.so.%{isomajor}{,.*}

%files -n %{udflibname}
%{_libdir}/libudf.so.%{udfmajor}{,.*}

%files -n %{libnamedev}
%doc ChangeLog README AUTHORS NEWS INSTALL TODO
%{_includedir}/cdio
%{_includedir}/cdio++/
%{_infodir}/libcdio.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/libcdio.pc
%{_libdir}/pkgconfig/libcdio++.pc
%{_libdir}/pkgconfig/libiso9660.pc
%{_libdir}/pkgconfig/libiso9660++.pc
%{_libdir}/pkgconfig/libudf.pc

%files -n %libnamestaticdev
%{_libdir}/lib*.a

%files -n %{cdiopplibname}
%{_libdir}/libcdio++.so.%{cdioppmajor}{,.*}
%{_libdir}/libiso9660++.so.%{cdioppmajor}{,.*}


%changelog
* Sat Nov 12 2016 luigiwalser <luigiwalser> 0.94-1.mga6
+ Revision: 1066627
- 0.94

* Thu Feb 11 2016 umeabot <umeabot> 0.93-2.mga6
+ Revision: 955448
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.93-1.mga6
+ Revision: 837409
- libcdio library major is now 16
- libiso9660 major is now 10
- 0.93

* Wed Oct 15 2014 umeabot <umeabot> 0.92-3.mga5
+ Revision: 746169
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.92-2.mga5
+ Revision: 681370
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 0.92-1.mga5
+ Revision: 591613
- 0.92
- libcdio major is now 15
- libiso9660 major is now 9

* Sat Oct 19 2013 umeabot <umeabot> 0.90-2.mga4
+ Revision: 533555
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 0.90-1.mga4
+ Revision: 473865
- update libmajor
- update file list
- new version 0.90

* Sat Jan 12 2013 umeabot <umeabot> 0.83-3.mga3
+ Revision: 356915
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 0.83-2.mga3
+ Revision: 323360
- clean spec
- update rpm group

* Fri Oct 28 2011 fwang <fwang> 0.83-1.mga2
+ Revision: 159072
- new version 0.83

* Sat Jan 15 2011 blino <blino> 0.82-3.mga1
+ Revision: 18841
- rebuild with vcd

* Fri Jan 14 2011 blino <blino> 0.82-2.mga1
+ Revision: 17792
- bootstrap libcdio by not building vcd support
- remove old ldconfig scriptlets
- remove old conflicts
- imported package libcdio

